# CyclesObjectBlurSettings(PropertyGroup)

base classes — `bpy_struct`, `PropertyGroup`

class `bpy.types.``CyclesObjectBlurSettings`(PropertyGroup)
  `motion_steps`

    Control accuracy of deformation motion blur, more steps gives more memory usage (actual number of steps is 2^(steps - 1))

    Type: | int in [1, inf], default 1

  `use_camera_cull`

    Allow this object and its duplicators to be culled by camera space culling

    Type: | boolean, default False

  `use_deform_motion`

    Use deformation motion blur for this object

    Type: | boolean, default True

  `use_motion_blur`

    Use motion blur for this object

    Type: | boolean, default True

Inherited Properties

`bpy_struct.id_data` | `PropertyGroup.name`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Object.cycles` |